Get presence and availability summaries
The POST/agents-availability endpoint returns a presence summary and an availability summary for the agents that match the filters you specify. The summaries include the numbers of agents in each of the following categories:
presenceSummary:
Ready
Away
ExtendedAway
LoggedOut
availabilitySummary:
available
incompatiblePresence
insufficientCapacity.
An agent's presence summary shows the agent's working state.
An agent’s availability summary indicates the agent’s actual availability for work.
Headers
Header parameters in Requests (Agent Availability API) apply to this endpoint.
Authorization scopes supported:
Scope | Access granted |
|---|---|
| Entire endpoint |
Request body parameters
The endpoint accepts requests the following body parameters:
skillGuidsA list of skill GUIDs that agents must be tagged with to be included in the response.
groupGuidsA list of group GUIDs that agents must belong to be included in the response.
queueGuidsA list of queue GUIDs that agents must belong to be included in the response.
livenessLiveness of interactions to filter by.
groupGuids and queueGuids parameters cannot be used together
Requests
Request presence and availability summaries for a live interaction with the specific skills
curl -L -X POST "https://***.api.newvoicemedia.com/agents-availability"
-H "Accept: application/vnd.newvoicemedia.v1+json"
-H "Authorization: <ACCESS_TOKEN>"
-H "Content-Type: application/json" \
--data-raw "{
\"skillGuids\": [
\"457857dc-19eb-4eb9-b562-c90ca37de447\",
\"ba06533c-fe7b-49a3-b868-886086fd001d\"
]
}"Request presence and availability summaries for a semi-live interaction with the specific queue
curl -L -X POST "https://****.api.newvoicemedia.com/agents-availability"
-H "Accept: application/vnd.newvoicemedia.v1+json"
-H "Authorization: <ACCESS_TOKEN>"
-H "Content-Type: application/json" \
--data-raw "{
\"queueGuids\": [
\"457857dc-19eb-4eb9-b562-c90ca37de447\",
\"ba06533c-fe7b-49a3-b868-886086fd001d\"
],
\"liveness\": \"semilive\"
}"Request presence and availability summaries for a non-live interaction with the specific group and skill
curl -L -X POST "https://****.api.newvoicemedia.com/agents-availability"
-H "Accept: application/vnd.newvoicemedia.v1+json"
-H "Authorization: <ACCESS_TOKEN>"
-H "Content-Type: application/json" \
--data-raw "{
\"skillGuids\": [
\"457857dc-19eb-4eb9-b562-c90ca37de447\",
\"ba06533c-fe7b-49a3-b868-886086fd001d\"
],
\"groupGuids\": [
\"69962baf-e196-461b-9547-aabd8db075fc\",
\"4787b940-ef6d-4861-96f9-d0cd94ac68c4\"
],
\"liveness\": \"nonlive\"
}"Responses
A response to a valid POST /agents-availability request contains a presence summary and an availability summary.
{
"presenceSummary": {
"Ready": 12,
"Away": 8,
"ExtendedAway": 5,
"LoggedOut": 10
},
"availabilitySummary": {
"available": 8,
"incompatiblePresence": 23,
"insufficientCapacity": 4
}
}An availabilitySummary contains the following parameters:
available. The number of agents for the specified filters available to handle new interactions.incompatiblePresence. The number of agents for the specified filters with incompatible presence that does not allow to receive new interactions.insufficientCapacity. The number of agents for the specified filters that do not have capacity to receive new interaction by requested liveness.